from pojagi_dsp.channel.ecg import Segment
from pojagi_dsp.channel.ecg.filter import ECGFilter


class WithSegment(ECGFilter):
    def __init__(self, segment: Segment, **kwargs):
        super().__init__(**kwargs)
        self.segment = segment
    
    # def stream(self):
    #     ...